PayPal Security Updates – What Does it all Mean?

If you have logged into PayPal recently you will have seen a message about changes required to integrate PayPal as below:

PayPal

This links to an information site here:

https://www.paypal-knowledge.com/infocenter/index?page=content&id=FAQ1913

Be aware that if you do not use PayPal at all on your website, then you are NOT affected. You may ignore this message.

The information above is highly technical in nature, so we’re hoping to make it easier for you to understand below:

SSL Certificate Upgrade  => Affected websites = websites currently using SSL to link to PayPal. The SSL certificate on your website now must be SHA-256 compliant. If you host with us (AU Business Hosting) then be assured that your SSL is already compliant. Otherwise, check with your hosting company. This needs to be compliant by June 30, 2017.

TLS 1.2 and HTTP/1.1 Upgrade  => Affected websites = websites hosted on servers that do not support TLS 1.2 and HTTP/1.1. If you host with us (AU Business Hosting) and use PayPal then you are already compliant. Otherwise, check with your hosting company. This needs to be compliant by June 30, 2017.

Discontinue Use of GET Method for Classic NVP/SOAP APIs => Affected websites = websites custom coded to connect to PayPal. Not many websites are affected.

Merchant API Certificate Credentials Upgrade => Affected websites = websites custom coded to connect to PayPal. Not many websites are affected.

[wpsm_comparison_table id=”1″ class=””]

Contact us for more information or to install an SSL certificate by June 30, 2017.

Sydney (02) 9907 3136

Brisbane (07) 3151 2756

Share This: